server:
  port: 5800
  tomcat:
    max-threads: 2000
    uri-encoding: UTF-8
spring:
  profiles:
    active: dev
  application:
    name: jay-monitor-server
  http:
    encoding:
      charset: UTF-8
      enabled: true
      force-request: true
      force: true
  monitor-server:
    store-info:
      es:
        table-rule:
          jay_monitor_mq: day
          jay_monitor_url: day
          jay_monitor_sql: day
    store-type: es
  thymeleaf:
    cache: false
    prefix: classpath:/templates
    suffix: .html
    mode: LEGACYHTML5
    enabled: true
    check-template: false
  resources:
    chain:
      strategy:
        content:
          enabled: true
          paths: /**
  cat:
    file:
      base-data-dir: /data/appdatas/cat/bucket/dump/
mybatis-plus:
  mapper-locations: classpath*:/mybatis/mapper/*.xml,classpath:mybatis/mapper/ext/*.xml
  type-aliases-package: com.jay.monitor.data.server.daos
  config-location: classpath:/mybatis/mybatis-config.xml

swagger2:
  basePackage: com.jay.monitor.data.server.controllers
  title: backstage
  description: 后台服务
  termsOfServiceUrl: http://www.elab-plus.com
  licenseUrl: http://127.0.0.1:5301/doc.html
  version: 1.0.0
  enable: true
  docUrl: /v2/api-docs